import moment from "moment-timezone";

export class DateService {
  private static instance: DateService;

  private constructor() {}

  public static getInstance(): DateService {
    if (!DateService.instance) {
      DateService.instance = new DateService();
    }
    return DateService.instance;
  }

  public getCurrentDate(): Date {
    const israelTime = moment().tz("Asia/Jerusalem");
    const currentDate = israelTime.toDate();
    return currentDate;
  }
}
